<?php
/*
 * Add buttons to visual editor
 */
function mg_gopt_tmcebuttons($post) {
	
	// Don't bother if current user doesn't have permissions
	if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
     return;
	
	// Add only in rich editor mode
	if( get_user_option( 'rich_editing' ) == 'true' ) {
		global $typenow;
            if (empty($typenow) && !empty($_GET['post'])) {
                $post = get_post($_GET['post']);
                $typenow = $post->post_type;
			} elseif (empty($typenow) && !empty($_GET['post_type'])) {
                $typenow = $_GET['post_type'];
			}
	}
	//if( 'spp_elp_sales' == $typenow || 'spp_elp_optin' == $typenow ) {
		add_filter('mce_external_plugins', 'mg_gopt_buttons_mce_plugin');
		add_filter( 'mce_buttons', 'mg_gopt_add_tmce_buttons' );
	//}
}

function mg_gopt_add_tmce_buttons( $buttons ) {
    array_push( $buttons, '|', 'sppjoptbuttons' );
    return $buttons;
}
add_action( 'init', 'mg_gopt_tmcebuttons' );

/*
 * Bring in button
 */
 function mg_gopt_buttons_mce_plugin( $plugins ) {
		// this plugin file will work the magic of our button
		$plugins['sppjoptbuttons'] = mg_gopt_BASE_DIR . 'modules/js/spp-jopt-shortcode-dialog.js';
		return $plugins;
	}

/*
 * add more buttons to the html editor
 */
function mg_gopt_add_quicktags() {
?>
    <script type="text/javascript">
	QTags.addButton( 'mg_gopt', 'Gangstaoptin', '[Gangstaoptin]','', '', 'Gangsta Optin shortcode', 202 );
    </script>
<?php
}
add_action( 'admin_print_footer_scripts', 'mg_gopt_add_quicktags' );
?>