<?php 
// Enqueue admin scripts
function mg_gopt_admin_scripts( $hook ) {
	
	if( 'settings_page_mg_gopt_settings' != $hook )
		return;
	wp_enqueue_script( 'mg_gopt_arcode', mg_gopt_BASE_DIR.'modules/js/arcode.js', array( 'jquery' ) );
	wp_enqueue_script( 'mg_gopt_admin', mg_gopt_BASE_DIR.'modules/js/admin.js', array( 'jquery' ) );
	wp_enqueue_script( 'mg_gopt_upload', mg_gopt_BASE_DIR.'modules/js/upload.js', array('jquery', 'media-upload', 'thickbox' ) );
	wp_enqueue_media();
	// WP color picker
	wp_enqueue_style( 'wp-color-picker' );
	wp_enqueue_script( 'mg_gopt_color_picker', mg_gopt_BASE_DIR.'modules/js/admin.js', array( 'wp-color-picker' ), false, true );
}
add_action('admin_enqueue_scripts', 'mg_gopt_admin_scripts');

// Output header
function mg_gopt_head_output() { 
	$config = get_option('mg_gopt_options');
	?>
	<style type="text/css"><?php echo $config['customcss']; ?></style>
	<?php
}
add_action( 'wp_head', 'mg_gopt_head_output' );
?>