<?php 
add_shortcode( 'Gangstaoptin', 'mg_gopt_shortcode_handler' );
function mg_gopt_shortcode_handler( $atts ) {
	$config = get_option('mg_gopt_options');
	$coveralign = ( !empty( $config['coveralign'] ) && $config['coveralign'] == 'r' ) ? 'alignright' : 'alignleft' ;
	$cover = ( !empty( $config['cover'] ) ) ? '<img src="'.esc_url($config['cover']).'" alt="" class="'.$coveralign.'">' : '' ;
	$headline = ( !empty( $config['headline'] ) ) ? stripcslashes( $config['headline'] ) : '' ;
	$desc = ( !empty( $config['desc'] ) ) ? stripcslashes( $config['desc'] ) : '';
	$ar_code = ( !empty( $config['ar_code'] ) ) ? stripcslashes( $config['ar_code'] ) : '';
	$ar_name = ( !empty( $config['ar_name'] ) ) ? '<input type="text" name="'.$config['ar_name'].'" value="Your name" id="spp-jopt-name" />' : '' ;
	$ar_email = ( !empty( $config['ar_email'] ) ) ? $config['ar_email'] : '' ;
	$ar_url = ( !empty( $config['ar_url'] ) ) ? esc_url( $config['ar_url'] ) : '' ;
	$ar_hidden = ( !empty( $config['ar_hidden'] ) ) ? stripcslashes( $config['ar_hidden'] ) : '' ;
	$ar_left = ( !empty( $config['ar_left'] ) ) ? 'padding-left: '.stripcslashes( $config['ar_left'] ).'px;' : '' ;
	$customcss = ( !empty( $config['customcss'] ) ) ? stripcslashes( $config['customcss'] ) : '' ;
	$ribbon_color = ( !empty( $config['ribbon_color'] ) ) ? 'background-color: '.stripcslashes( $config['ribbon_color'] ).';' : '' ;
	$ribbon_text_color = ( !empty( $config['ribbon_text_color'] ) ) ? 'color: '.stripcslashes( $config['ribbon_text_color'] ).';' : '' ;
	$box_style = ( !empty( $config['box_style'] ) ) ? ' '.stripcslashes( $config['box_style'] ) : '' ;
	$box_color = ( !empty( $config['box_color'] ) ) ? 'background-color: '.stripcslashes( $config['box_color'] ).';' : '' ;
	$button_text = ( !empty( $config['button_text'] ) ) ? stripcslashes( $config['button_text'] ) : '' ;
	$button_color = ( !empty( $config['button_color'] ) ) ? 'spp-jopt-button spp-jopt-'.stripcslashes( $config['button_color'] ).'' : '' ;

   /*
	extract( shortcode_atts( array(
		'attr_1' => 'attribute 1 default',
		'attr_2' => 'attribute 2 default',
		// ...etc
		), $atts ) ); */
	
	// Enqueue CSS
	wp_enqueue_style('mg_gopt_front_css', mg_gopt_BASE_DIR.'modules/css/front.css');
	wp_enqueue_style('mg_gopt_button_css', mg_gopt_BASE_DIR.'modules/css/buttons.css');
	wp_enqueue_script('mg_gopt_front_js', mg_gopt_BASE_DIR.'modules/js/front.js', array( 'jquery' ));

	$out = '';
	if( $config['design'] == 'lrib' ) {
		$out .= '<div class="spp-jopt-container"><div id="spp-jopt-lrib" class="spp-jopt'.$box_style.'" style="'.$box_color.'">
					<div class="form-cont non-semantic-protector">
						<div class="hdr" style="'.$ribbon_color.'">
						<span style="'.$ribbon_text_color.'">'.$headline.'</span>
						</div>
						<div class="form-body">
							<div class="copy">
							'.$cover.$desc.'
							</div>
							<div class="form-container">
							<form action="'.$ar_url.'" style="'.$ar_left.'" method="POST">
								'.$ar_name.'
								<input type="text" name="'.$ar_email.'" value="Your email" id="spp-jopt-email" />
								'.$ar_hidden.'
								<input class="'.$button_color.'" type="submit" value="'.$button_text.'">
							</form>
							</div>
						</div>
					</div>
				</div></div>';	
	} elseif ( $config['design'] == 'basic' ) {
		$out .= '<div id="spp-jopt-basic" class="spp-jopt" style="'.$box_color.'">
					<form action="'.$ar_url.'" method="POST">
						<div class="form-top">
							<div class="hdr">
								'.$headline.'
							</div>
							<div class="copy">
							'.$cover.$desc.'
							</div>
						</div>
						<div class="form-bottom" style="'.$ar_left.'">							
							'.$ar_name.'
							<input type="text" name="'.$ar_email.'" value="Your email" id="spp-jopt-email" />
							'.$ar_hidden.'
							<input class="'.$button_color.'" type="submit" value="'.$button_text.'">
						</div>
					</form>
				</div>';
	} elseif ( $config['design'] == 'framed' ) {
		$out .= '<div id="spp-jopt-framed" class="spp-jopt">
					<div class="form-cont" style="'.$box_color.'">
						<div class="hdr-cont">
							<div class="hdr">
								'.$headline.'
							</div>
						</div>
						<div class="form-body">
							<div class="copy">								
								'.$cover.$desc.'
							</div>
							<div class="form-code">
							<form action="'.$ar_url.'" style="'.$ar_left.'" method="POST">
								'.$ar_name.'
								<input type="text" name="'.$ar_email.'" value="Your email" id="spp-jopt-email" />
								'.$ar_hidden.'
								<input class="'.$button_color.'" type="submit" value="'.$button_text.'">
							</form>
							</div>
						</div>
					</div>
				</div>';
	} else {
		$out .= 'No optin configured. Please contact administrator';
	}

	return $out;
}
?>